#pragma once

#include "../exception_base.hpp"

namespace dv::exceptions {

namespace info {
struct TypeError {
	using Info = std::string;

	static std::string format(const Info &info) {
		return fmt::format("Type: {:s})", info);
	}
};
} // namespace info

using TypeError = internal::Exception_<info::TypeError>;

} // namespace dv::exceptions
